diff --git a/changelog b/changelog
index d5f2fd5..f5314f6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130526 tpd src/axiom-website/patches.html 20130526.02.tpd.patch
+20130526 tpd src/interp/regress.lisp improve diff output
 20130526 tpd src/axiom-website/patches.html 20130526.01.tpd.patch
 20130526 tpd src/algebra/Makefile fix failing test cases
 20130526 tpd books/bookvol10.4 fix failing test cases
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 16d2577..c289427 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4181,6 +4181,8 @@ src/Makefile fix {OUT} bug
 buglist remove error message for deleted files
 <a href="patches/20130526.01.tpd.patch">20130526.01.tpd.patch</a>
 books/bookvol10.* fix failing test cases
+<a href="patches/20130526.02.tpd.patch">20130526.02.tpd.patch</a>
+src/interp/regress.lisp improve diff output
  </body>
 </html>
 
diff --git a/src/interp/regress.lisp.pamphlet b/src/interp/regress.lisp.pamphlet
index 0ea1f4a..e8f8ad8 100644
--- a/src/interp/regress.lisp.pamphlet
+++ b/src/interp/regress.lisp.pamphlet
@@ -160,7 +160,7 @@ bugs against expected output. We filter these tests marked ``ok''
 so they do not count as ``real'' failures.
 \begin{chunk}{*}
 (defun testpassed (test)
- (let (answer expected (passed t))
+ (let (answer expected (passed t) mismatchedLines)
   (declare (special *ok*))
   (multiple-value-setq (answer expected) (split test))
   (dotimes (i (length answer))
@@ -168,10 +168,12 @@ so they do not count as ``real'' failures.
     (or (string= (first expected) "ignore")
         (string= (first expected) (first answer)))
     (unless *ok* (setq passed nil))
-    (format t "MISMATCH~%expected:~s~%     got:~s~%" 
-     (first expected) (first answer)))
+    (push (cons (first expected) (first answer)) mismatchedLines))
    (pop answer)
    (pop expected))
+  (when mismatchedLines
+   (dolist (pair mismatchedLines)
+    (format t "expected:~s~%     got:~s~%"  (car pair) (cdr pair))))
   passed))
 
 \end{chunk}
